package com.izouma.dingdong.contorller;

import com.izouma.dingdong.domain.Verified;
import com.izouma.dingdong.web.VerifiedController;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class VerifiedControllerTest {

    @Autowired
    private VerifiedController verifiedController;

    @Test
    public void test(){
        Verified build = Verified.builder()
                .userId(44L)
                .realName("张三")
                .idNo("111111")
                .idNoImg("https://idingdong.oss-cn-hangzhou.aliyuncs.com/image/2020-05-27-11-19-02VdOmcIju.jpg,https://idingdong.oss-cn-hangzhou.aliyuncs.com/image/2020-05-27-11-19-02VdOmcIju.jpg")
                .handheldIdNo("https://idingdong.oss-cn-hangzhou.aliyuncs.com/image/2020-05-27-11-19-02VdOmcIju.jpg")
                .canEdit(false)
                .build();

        System.out.println(verifiedController.save(build));
    }
}
